## bsd-mailx 8.1.2

=== Makefile ===
#	$OpenBSD: Makefile,v 1.9 2010/01/04 17:50:39 deraadt Exp $

PROG=	mail
SRCS=	version.c aux.c cmd1.c cmd2.c cmd3.c cmdtab.c collect.c \
	edit.c fio.c getname.c head.c v7.local.c lex.c list.c main.c names.c \
	popen.c quit.c send.c strings.c temp.c tty.c vars.c
SFILES=	mail.help mail.tildehelp
EFILES=	mail.rc
LINKS=	${BINDIR}/mail ${BINDIR}/Mail ${BINDIR}/mail ${BINDIR}/mailx
MLINKS=	mail.1 Mail.1 mail.1 mailx.1

beforeinstall:
	cd ${.CURDIR}/misc; ${INSTALL} ${INSTALL_COPY} -o ${BINOWN} -g ${BINGRP} \
	    -m 444 ${SFILES} ${DESTDIR}/usr/share/misc

distribution:
	cd ${.CURDIR}/misc; ${INSTALL} ${INSTALL_COPY} -o root -g wheel \
	    -m 644 ${EFILES} ${DESTDIR}/etc

.include <bsd.prog.mk>

=== USD.doc/Makefile ===
#	$OpenBSD: Makefile,v 1.4 2004/02/01 15:19:57 jmc Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

DIR=	usd/07.mail
SRCS=	mail0.nr mail1.nr mail2.nr mail3.nr mail4.nr mail5.nr mail6.nr \
	mail7.nr mail8.nr mail9.nr maila.nr
MACROS=	-me

paper.ps: ${SRCS}
	${TBL} ${SRCS} | ${ROFF} > ${.TARGET}

paper.txt: ${SRCS}
	${TBL} ${SRCS} | ${ROFF} -Tascii > ${.TARGET}

.include <bsd.doc.mk>

## bsd-mailx 8.1.2-0.20111106cvs

=== debian/changelog ===
bsd-mailx (8.1.2-0.20111106cvs-1+deb7u1) wheezy-security; urgency=high

  * Apply OpenBSD patches from Todd Miller:
    + 80-remove_T.patch (remove undocumented/obsolete -T option)
    + 81-minus_f.patch (adjust -f processing)
    + 82-expandaddr.patch (fix CVE-2014-7844)
    + 83-nosendmail.patch (make -- work for option parsing suppression)

 -- Florian Weimer <fw@deneb.enyo.de>  Mon, 15 Dec 2014 20:28:19 +0100

bsd-mailx (8.1.2-0.20111106cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD CVS repository.
  * Drop the additional source files from EXT directory, use libbsd-dev
    instead. Move EXT to debian.
  * 00-Makefile: don't override CFLAGS set in environment.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Use debhelper v9 and tiny debian/rules file.
  * debian/control:
    + Build-Depends on libbsd-dev;
    + Standards-Version: 3.9.2;
    + use Breaks instead of versioned Conflicts;
    + add Vcs fields;
    + reformat the dependencies fields with `wrap-and-sort' command.
  * Include full text of BSD licence in copyright (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 20 Nov 2011 23:37:22 +0100

bsd-mailx (8.1.2-0.20100314cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD CVS repository.
  * Follow upstream and stop installing the outdated documentation 
    (closes: #455708); also remove doc-base file.
  * debian/control:
    + depend on default-mta instead of exim4 (closes: #555495);
    + add ${misc:Depends} dependency (lintian);
    + Standards-Version: 3.8.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 14 Mar 2010 13:22:18 +0100

bsd-mailx (8.1.2-0.20090911cvs-2) unstable; urgency=medium

  * Fix a bogus "can't send mail: sendmail process failed" errors appearing 
    rarely on systems under heavy loads (closes: #550116).  
    Many thanks to Ivan Zahariev <famzah(at)icdsoft.com> for his investigation
    and patch.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Oct 2009 11:21:11 +0200

bsd-mailx (8.1.2-0.20090911cvs-1) unstable; urgency=low

  * New upstream release from OpenBSD repository.
  * Fix grammar in description (closes: #515781). 
  * Drop mailx transitional package.
  * Bump debhelper compat mode to 7. 
  * Standards-Version: 3.8.3

 -- Robert Luberda <robert@debian.org>  Fri, 11 Sep 2009 18:14:22 +0200

bsd-mailx (8.1.2-0.20081101cvs-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Nov 2008 09:00:25 +0100

bsd-mailx (8.1.2-0.20081101cvs-1) experimental; urgency=low

  * New upstream release.
  * Lower priority of mailx package to extra.
  * Standards-Version: 3.8.0 (no changes).
  * Remove duplicated `it' from description (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 01 Nov 2008 12:40:12 +0100

bsd-mailx (8.1.2-0.20071201cvs-3) unstable; urgency=low

  * Lower priority of mailx package to optional (see #477124).
  * copyright: Add a copyright notice (lintian).
  * Build depend on debhelper >= 6 (lintian).
  * Change doc-base section to Network/Communication (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 26 Apr 2008 09:52:18 +0200

bsd-mailx (8.1.2-0.20071201cvs-2) unstable; urgency=medium

  * Add conflict with old mailx packages (closes: #459621).
  * Standards-Version: 3.7.3 (no changes).
  * Fix invalid regexp in postinst.

 -- Robert Luberda <robert@debian.org>  Tue, 08 Jan 2008 23:01:18 +0100

bsd-mailx (8.1.2-0.20071201cvs-1) unstable; urgency=low

  * New upstream version.
  * Rename package to bsd-mailx, and create dummy mailx package for smooth
    upgrades.
  * Manage /usr/bin/mailx with update-alternatives to allow other packages
    like mailutils or nail to be installed together with bsd-mailx.
  * Remove outdated preinst script.

 -- Robert Luberda <robert@debian.org>  Sat, 01 Dec 2007 12:54:13 +0100

mailx (1:8.1.2-0.20071017cvs-2) unstable; urgency=low

  * collect.c: Ooops, for debugging I commented out the line responsible
    for removing temporary, and forgot to uncomment it...

 -- Robert Luberda <robert@debian.org>  Fri, 19 Oct 2007 23:10:11 +0200

mailx (1:8.1.2-0.20071017cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD CVS repository.
  * send.c: treat messages which contain only a new line sign as empty
    messages (closes: #355545).
  * Fix ` debian-rules-ignores-make-clean-error' lintian warning.
  * Bump debhelper compat mode to v6.

 -- Robert Luberda <robert@debian.org>  Thu, 18 Oct 2007 23:35:53 +0200

mailx (1:8.1.2-0.20070424cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD CVS repository.
  * Standards-Version: 3.7.2.
  * Lower package priority to standard to match the override file.
  * main.c: Replace with spaces any embeded newline passed in arguments
    for '-s' and '-a' options (closes: #419840).
  * mail.1: Fix a typo (closes: #411420).

 -- Robert Luberda <robert@debian.org>  Thu, 03 May 2007 12:09:36 +0200

mailx (1:8.1.2-0.20050715cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD CVS repository:
    + fixed segfault in list.c (closes: #313306).
  * Standard-Version: 3.6.2 (no changes).  

 -- Robert Luberda <robert@debian.org>  Fri, 15 Jul 2005 00:28:33 +0200

mailx (1:8.1.2-0.20040524cvs-4) unstable; urgency=low

  * Fix documentation of sendmail options in the man page and in the
    mailx's usage output (closes: #285259).

 -- Robert Luberda <robert@debian.org>  Sat, 18 Dec 2004 13:58:28 +0100

mailx (1:8.1.2-0.20040524cvs-3) unstable; urgency=medium

  * fio.c: Fix segfault on wildcard expansion introduced in previous upload.
    Thanks to Yuri D'Elia for noticing this (see bug#148389).

 -- Robert Luberda <robert@debian.org>  Sat, 13 Nov 2004 22:23:14 +0100

mailx (1:8.1.2-0.20040524cvs-2) unstable; urgency=medium

  * Bugfix release (closes: #278748):
    + fio.c: Use wordexpr() instead of calling /bin/echo not to allow
      executing external commands while expanding shell variables
      and wildcards.


=== debian/control ===
Source: bsd-mailx
Section: mail
Priority: standard
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.9.8),
               groff,
               libbsd-dev (>= 0.3),
               liblockfile-dev (>= 1.05)
Vcs-Git: git://anonscm.debian.org/users/robert/bsd-mailx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/bsd-mailx.git

Package: bsd-mailx
Architecture: any
Depends: base-files (>= 2.2.0),
         default-mta | mail-transport-agent,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: mail-reader, mailx
Breaks: mailutils (<< 1:1.1+dfsg1-4), mailx (<< 1:20071201)
Replaces: mailx (<< 1:20071201)
Description: simple mail user agent
 mailx is the traditional command-line-mode mail user agent.
 Even if you don't use it, it may be required by other programs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --parallel

override_dh_installchangelogs:
	dh_installchangelogs -a debian/EXT/ChangeLog

## bsd-mailx 8.1.2-0.20131005cvs

=== debian/changelog ===
bsd-mailx (8.1.2-0.20131005cvs-1ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: shell command injection
    - Apply OpenBSD patches from Todd Miller (taken from Debian update):
      + 80-remove_T.patch (remove undocumented/obsolete -T option)
      + 81-minus_f.patch (adjust -f processing)
      + 82-expandaddr.patch (fix CVE-2014-7844)
      + 83-nosendmail.patch (make -- work for option parsing suppression)
    - CVE-2014-7844

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Jan 2015 11:36:44 -0500

bsd-mailx (8.1.2-0.20131005cvs-1) unstable; urgency=low

  * New upstream version from OpenBSD CVS repository.
  * Remove 23-Treat-new-line-only-messages-as-empty-ones.patch, introduced 
    in 1:8.1.2-0.20071017cvs-1 so that bsd-mailx will behave like other mailx
    implementations and will not treat messages containing a single new line 
    only as an empty ones (LP: #607099, reopens #355545).
  * Extend description of this package to mention the fact that bsd-mailx lacks
    many features that may be found in other packages like heirloom-mailx
    or mailutils (closes: #508303).
  * Add 26-Fix-confusing-error.patch to make a message given when -b is used
    without -t less confusing (closes: #327809).
  * Fix 00-Makefile.patch not to override CC and pass CPPFLAGS while compiling.
  * debian/rules:
    + apply patch from Ubuntu to respect DEB_HOST_GNU_TYPE when selecting CC 
      for cross-compiling;
    + do not try to run make clean on unpatched Makefile.
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 06 Oct 2013 11:58:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: bsd-mailx
 Section: mail
 Priority: standard
-Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.9.8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
                groff,
                libbsd-dev (>= 0.3),
                liblockfile-dev (>= 1.05)
@@ -20,5 +21,20 @@
 Breaks: mailutils (<< 1:1.1+dfsg1-4), mailx (<< 1:20071201)
 Replaces: mailx (<< 1:20071201)
 Description: simple mail user agent
- mailx is the traditional command-line-mode mail user agent.
+ bsd-mailx is the traditional simple command-line-mode mail user agent.
  Even if you don't use it, it may be required by other programs.
+ .
+ The /usr/bin/mail command provided by this package is a very simple one,
+ and does not include many features that can be found in more advanced
+ mail user agents.
+ .
+ For example bsd-mailx DOES NOT support:
+  - MIME           (i.e. no attachments, no UTF-8 or other charsets support);
+  - SMTP protocol  (/usr/sbin/sendmail interface only is used);
+  - POP3/IMAP      (bsd-mailx reads local mailboxes only);
+  - maildir format (traditional mbox only format is supported).
+ .
+ If the above features are needed, please consider installing another package
+ providing similar /usr/bin/mail interface:
+  - heirloom-mailx package,
+  - or mailutils package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  export CC = $(DEB_HOST_GNU_TYPE)-gcc
else
  export CC = gcc
endif

%:
	dh "$@" --parallel

override_dh_auto_clean:
	# Don't try to run make clean on unpatched version of Makefile
	! grep -q DEBIAN Makefile || dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs -a debian/EXT/ChangeLog

## bsd-mailx 8.1.2-0.20141216cvs

=== debian/changelog ===
bsd-mailx (8.1.2-0.20141216cvs-2) unstable; urgency=medium

  * Add 27-Fix-getopt-string.patch to fix `-N' flag that does not take
    an argument (LP: #1411623).

 -- Robert Luberda <robert@debian.org>  Sun, 15 Mar 2015 11:27:33 +0100

bsd-mailx (8.1.2-0.20141216cvs-1) unstable; urgency=high

  * New upstream version from OpenBSD cvs repository. The version consists of:

    - The changes that are part of the following recent stable security update
      by Florian Weimer:

        bsd-mailx (8.1.2-0.20111106cvs-1+deb7u1) wheezy-security; urgency=high
          * Apply OpenBSD patches from Todd Miller:
            + 80-remove_T.patch (remove undocumented/obsolete -T option)
            + 81-minus_f.patch (adjust -f processing)
            + 82-expandaddr.patch (fix CVE-2014-7844)
            + 83-nosendmail.patch (make -- work for option parsing suppression)

    - A simple change in lex.c related to preferring mkostemp(O_CLOEXEC) over
      mkstemp()+fcntl(F_SETFD) and fopen("re") over fopen("r")+fcntl(F_SETFD).

    - A change in fio.c to use glob() to expand filenames. The change however
      is not enabled in the Debian package (i.e. outside of `#ifdef DEBIAN'
      code) as wordexp() function instead has been used in Debian for last
      10 years.

  * Bump Standards-Version to 3.9.6.

 -- Robert Luberda <robert@debian.org>  Thu, 18 Dec 2014 00:45:40 +0100

bsd-mailx (8.1.2-0.20140825cvs-1) unstable; urgency=medium

  * New upstream version from OpenBSD CVS repository.
  * 26-Add-missing-include.patch: fix implicit declaration of function `warnc'
    warning.
  * Add a dummy debian/version file to make lintian happy.
  * debian/rules: enable LFS support (lintian).
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 26 Aug 2014 08:11:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: bsd-mailx
 Section: mail
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.4
+Maintainer: Robert Luberda <robert@debian.org>
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
                groff,
                libbsd-dev (>= 0.3),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+export CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
   export CC = $(DEB_HOST_GNU_TYPE)-gcc

## bsd-mailx 8.1.2-0.20150408cvs

=== debian/changelog ===
bsd-mailx (8.1.2-0.20150408cvs-1) unstable; urgency=medium

  * New upstream version from OpenBSD CVS repository:
    + new `-r' option allows one to specify sender address (closes: #224530).
  * Update 18-Wait-for-sendmail.patch to exit with a non-zero code when
    sendmail process fails (closes: #733040).
  * Fix merge issue in 21-Use-wordexpr-instead-of-echo.patch (closes: #773481).
  * Update 25-Fix-confusing-error.patch not to mention the recently removed
   `-t' option (closes: #781170).
  * Add 29-Document-two-dashes-separator.patch to document `--' in the man
    page (closes: #773317).
  * Switch debian/control to DEP-5 format.

 -- Robert Luberda <robert@debian.org>  Sun, 17 May 2015 12:33:12 +0200

## bsd-mailx 8.1.2-0.20160123cvs

=== debian/changelog ===
bsd-mailx (8.1.2-0.20160123cvs-4) unstable; urgency=medium

  * 33-Add-MIME-headers.patch: Add MIME headers to every mail to indicate
    charset and transfer encoding (closes: #859935, LP: #733971), and
    describe the new behavior in the man page.
    Many thanks to Thorsten Glaser for the idea and the initial patch.
  * Add debian/bsd-mailx.NEWS entry for the above change.

 -- Robert Luberda <robert@debian.org>  Sat, 15 Apr 2017 00:35:42 +0200

bsd-mailx (8.1.2-0.20160123cvs-3) unstable; urgency=medium

  * Make the `-b' option work again: update 03-Base-fixes-2.patch to revert
    the `comment out bcc code' change introduced in 1:8.1.1-10.2. The change
    is no longer needed after upstream switched to using the `-t' option
    of sendmail in 8.1.2-0.20150408cvs-1 (closes: #823412, LP: #1576641).
    Many thanks to Frederic Bonnard for finding the cause of the issue.
  * debian/control:
    + refer to s-nail package in the description instead of transitional
      heirloom-mailx (closes: #775766);
    + drop ancient Breaks/Replaces;
    + switch Vcs-Browser to cgit, and Vcs-Git to https;
    + bump Standards-Version to 3.9.8.

 -- Robert Luberda <robert@debian.org>  Sat, 07 May 2016 09:33:20 +0200

bsd-mailx (8.1.2-0.20160123cvs-2) unstable; urgency=medium

  * Compile with -fPIC to fix FTBFS on some archs.
  * Add 32-Fix-FTBFS-on-Hurd.patch to revert to old version
    of alter() function when UTIME_OMIT is not defined -
    this should fix FTBFS on Hurd.
  * debian/control:
    + bump Build-Dependency on libbsd-dev to >= 0.8.1, as 0.8.0, the
      current version on hppa, seems to be broken;
    + lower package priority to optional to match to the overrides file.

 -- Robert Luberda <robert@debian.org>  Thu, 28 Jan 2016 23:33:38 +0100

bsd-mailx (8.1.2-0.20160123cvs-1) unstable; urgency=medium

  * New upstream version from OpenBSD CVS repository.
  * Update patches for the new upstream version
    + Updated 00-Makefiles.patch to add -D_DEFAULT_SOURCE to CFLAGS;
    + Drop 17-Intialize-tv_used.patch, as it is no longer needed;
    + Add 30-Add-missing-includes.patch to add includes required
      by calls to clock_gettime() and utimensat().
    + Add 31-Do-not-call-pledge.patch to revert a call to pledge()
      which is not available on Linux.
  * Enable `pie' and `bindnow' hardening flags.
  * Use https protocol in Vcs-Browser control field.
  * Fix a typo in README.Debian.

 -- Robert Luberda <robert@debian.org>  Wed, 27 Jan 2016 23:38:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: bsd-mailx
 Section: mail
-Priority: standard
+Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9),
                groff,
-               libbsd-dev (>= 0.3),
+               libbsd-dev (>= 0.8.1),
                liblockfile-dev (>= 1.05)
-Vcs-Git: git://anonscm.debian.org/users/robert/bsd-mailx.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/bsd-mailx.git
+Vcs-Git: https://anonscm.debian.org/git/users/robert/bsd-mailx.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/robert/bsd-mailx.git
 
 Package: bsd-mailx
 Architecture: any
@@ -17,8 +17,6 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: mail-reader, mailx
-Breaks: mailutils (<< 1:1.1+dfsg1-4), mailx (<< 1:20071201)
-Replaces: mailx (<< 1:20071201)
 Description: simple mail user agent
  bsd-mailx is the traditional simple command-line-mode mail user agent.
  Even if you don't use it, it may be required by other programs.
@@ -35,5 +33,5 @@
  .
  If the above features are needed, please consider installing another package
  providing similar /usr/bin/mail interface:
-  - heirloom-mailx package,
+  - s-nail package,
   - or mailutils package.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
+export CFLAGS := -fPIC -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
   export CC = $(DEB_HOST_GNU_TYPE)-gcc

=== debian/watch ===
version=3
# Note: mailx is part of OpenBSD base system, e.g. ftp://ftp.openbsd.org/pub/OpenBSD/5.5/src.tar.gz
# Debian package is based on CVS version of the sources, see cvsweb interface
# on http://openbsd.cs.toronto.edu/cgi-bin/cvsweb/src/usr.bin/mail/
# It is not possible to extract the upstream version from neither of the above links,
# so use the following link to the Debian repository just to make lintian and PTS happy.
ftp://ftp.debian.org/debian/pool/main/b/bsd-mailx/ bsd-mailx_(.*)\.orig\.tar\.bz2

## bsd-mailx 8.1.2-0.20180807cvs

=== debian/changelog ===
bsd-mailx (8.1.2-0.20180807cvs-2) unstable; urgency=medium

  * Add 36-Fix-FTBFS-gcc10.patch to fix compilation with gcc-10
    (closes: #957056).
  * Build with debhelper v13.
  * Standards-Version: 4.5.0.

 -- Robert Luberda <robert@debian.org>  Sat, 15 Aug 2020 10:22:04 +0200

bsd-mailx (8.1.2-0.20180807cvs-1) unstable; urgency=medium

  * New upstream version from OpenBSD CVS repository.
  * Add two new patches:
    + 34-Fix-strnvis.patch for compatibility with future versions of
      libbsd-dev;
    + 35-Fix-new-warnings-and-error.patch to fix compilation error
      and a few new warnings.
  * Build with devhelper v11.
  * Move source lintian overrides file to debian/source.
  * Switch to https URLs in debian/copyright and debian/watch.
  * debian/control:
    + add `Rules-Requires-Root: no';
    + update Vcs-* fields for salsa migration;
    + Standards-Version: 4.2.0.

 -- Robert Luberda <robert@debian.org>  Wed, 08 Aug 2018 23:12:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: mail
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
                groff,
                libbsd-dev (>= 0.8.1),
                liblockfile-dev (>= 1.05)
-Vcs-Git: https://anonscm.debian.org/git/users/robert/bsd-mailx.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/robert/bsd-mailx.git
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/bsd-mailx.git
+Vcs-Browser: https://salsa.debian.org/debian/bsd-mailx/
 
 Package: bsd-mailx
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export CFLAGS := -fPIC -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -12,7 +12,7 @@
 endif
 
 %:
-	dh "$@" --parallel
+	dh "$@"
 
 override_dh_auto_clean:
 	# Don't try to run make clean on unpatched version of Makefile

=== debian/watch ===
version=3
# Note: mailx is part of OpenBSD base system, e.g. ftp://ftp.openbsd.org/pub/OpenBSD/5.5/src.tar.gz
# Debian package is based on CVS version of the sources, see cvsweb interface
# on https://openbsd.cs.toronto.edu/cgi-bin/cvsweb/src/usr.bin/mail/
# It is not possible to extract the upstream version from neither of the above links,
# so use the following link to the Debian repository just to make lintian and PTS happy.
http://ftp.debian.org/debian/pool/main/b/bsd-mailx/ bsd-mailx_(.*)\.orig\.tar\.xz

## bsd-mailx 8.1.2-0.20220412cvs

=== debian/changelog ===
bsd-mailx (8.1.2-0.20220412cvs-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to honour TMPDIR. (Closes: #1108377)
    Thanks: Richard Lewis, Holger Levsen.

 -- Andrew Bower <andrew@bower.uk>  Wed, 09 Jul 2025 23:03:16 +0100

bsd-mailx (8.1.2-0.20220412cvs-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libbsd-dev and
      liblockfile-dev.
    + bsd-mailx: Drop versioned constraint on base-files in Depends.

  [ Robert Luberda ]
  * New upstream version from OpenBSD CVS repository.
  * Drop no longer needed 36-Fix-FTBFS-gcc10.patch.
  * Minor lintian fixes:
    + update version of debian/watch to 4;
    + update year in debian/copyright;
    + remove unused override.
  * Slightly update debian/rules to use /u/s/dpkg/buildflags.mk.
  * Standards-Version: 4.6.0.

 -- Robert Luberda <robert@debian.org>  Thu, 14 Apr 2022 21:52:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Section: mail
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                groff,
-               libbsd-dev (>= 0.8.1),
-               liblockfile-dev (>= 1.05)
+               libbsd-dev,
+               liblockfile-dev
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/bsd-mailx.git
 Vcs-Browser: https://salsa.debian.org/debian/bsd-mailx/
 
 Package: bsd-mailx
 Architecture: any
-Depends: base-files (>= 2.2.0),
-         default-mta | mail-transport-agent,
+Depends: default-mta | mail-transport-agent,
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: mail-reader, mailx

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
 
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DEB_CFLAGS_MAINT_APPEND := -fPIC -Wall $(shell getconf LFS_CFLAGS)
+DPKG_EXPORT_BUILDFLAGS  := 1
+
+include /usr/share/dpkg/buildflags.mk
+
 include /usr/share/dpkg/architecture.mk
-
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export CFLAGS := -fPIC -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell getconf LFS_CFLAGS)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
   export CC = $(DEB_HOST_GNU_TYPE)-gcc

=== debian/watch ===
version=4
# Note: mailx is part of OpenBSD base system, e.g. ftp://ftp.openbsd.org/pub/OpenBSD/5.5/src.tar.gz
# Debian package is based on CVS version of the sources, see cvsweb interface
# on https://openbsd.cs.toronto.edu/cgi-bin/cvsweb/src/usr.bin/mail/
# It is not possible to extract the upstream version from neither of the above links,
# so use the following link to the Debian repository just to make lintian and PTS happy.
https://ftp.debian.org/debian/pool/main/b/bsd-mailx/ bsd-mailx_(.*)\.orig\.tar\.xz
